RSpec.describe Easy::Resources::Redmine::CustomField do
  include_context "redmine active resource shares" do
    let(:entity_name) { 'custom_field' }
  end

  let(:entity) { find_entity }

  describe "#cast_value" do
    subject { entity.cast_value }
    context "with datetime" do
      let(:entity) { find_entity "datetime" }
      it { is_expected.to be_a DateTime }
    end
    context "with date" do
      let(:entity) { find_entity "date" }
      it { is_expected.to be_a Date }
    end
    context "with int" do
      let(:entity) { find_entity "int" }
      it { is_expected.to eq 0 }
    end
    context "with float" do
      let(:entity) { find_entity "float" }
      it { is_expected.to eq 24.0 }
    end
    context "with text" do
      let(:entity) { find_entity "string" }
      it { is_expected.not_to be_blank }
    end
  end
end
