RSpec.describe Easy::Resources::Redmine::Errors do
  include_context "redmine active resource shares" do
    let(:entity_name) { 'time_entry' }
  end

  it 'invalid request' do
    stub_xml source_file: "invalid_update", path: "#{entity_name.pluralize}.xml", method: :post, status: 422, request_body: { hours: 8.0, user_id: 1 }.to_xml(root: "time_entry")

    time_entry = Easy::Resources::Redmine::TimeEntry.new hours: 8.0, user_id: 1
    expect(time_entry.save).to eq false
    expect(time_entry.errors).to be_a described_class
    expect(time_entry.errors.full_messages).to eq ["Projekt je neplatné"]
  end
end
