RSpec.describe Easy::Resources::Redmine::RedmineBase do
  it 'no configuration specify' do
    described_class.site = nil
    described_class.api_key = nil
    expect { described_class.find :first }.to raise_exception NoMethodError
  end

  describe ".api_key=" do
    it "change api_key on-fly, changed request headers" do
      described_class.api_key = "secret1"
      expect(described_class.headers).to include "X-Redmine-API-Key" => "secret1"

      described_class.api_key = "xxxx"
      expect(described_class.headers).to include "X-Redmine-API-Key" => "xxxx"
    end
  end
end
