RSpec.shared_context "redmine active resource shares", shared_context: :metadata do
  include_context "active resource shares"

  before :each do
    Easy::Resources::Redmine::RedmineBase.site = site
    Easy::Resources::Redmine::RedmineBase.api_key = api_key
  end

  # @param [Hash] options @see #stub_easy_resource_request
  def stub_json(**options)
    options[:format] = "json"
    stub_easy_resource_request(**options)
  end

  # @param [Hash] options @see #stub_easy_resource_request
  def stub_xml(**options)
    options[:format] = "xml"
    stub_easy_resource_request(**options)
  end

  def stub_easy_resource_request(format:, path:, **options)
    options[:request_headers] ||= {}
    options[:request_headers]["X-Redmine-API-Key"] = api_key
    options[:format] = format
    options[:path] = path
    stub_resource_request(**options)
  end
end
